package core;

public class Point {

	private int x;
	private int y;

	// getters
	public int getX() {
		return x;
	}

	public int getY() {
		return y;
	}

	// operations
	public void translate(int x, int y) {
		this.x += x;
		this.y += y;
	}

	public Point minus(Point p) {
		return new Point(this.x - p.x, this.y - p.y);
	}

	public int normSquared() {
		return x * x + y * y;
	}

	// constructors
	public Point(int x, int y) {
		this.x = x;
		this.y = y;
	}

	public Point(Point copy) {
		this.x = copy.x;
		this.y = copy.y;
	}

	public void moveTo(int x, int y) {
		this.x = x;
		this.y = y;
	}

	public float norm() {
		return (float) Math.sqrt(normSquared());
	}
}
