package io;

import java.util.HashMap;
import java.util.Map;

import model.Drawing;

public class Service {
	private Map<String, Loader> loaders = new HashMap<String, Loader>();
	private Map<String, Saver> savers = new HashMap<String, Saver>();

	public void registerLoader(String format, Loader l) {
		loaders.put(format, l);
	}

	public void registerSaver(String format, Saver s) {
		savers.put(format, s);
	}

	public String[] getLoadFormats() {
		String[] result = new String[loaders.size()];
		return loaders.keySet().toArray(result);
	}

	public String[] getSaveFormats() {
		String[] result = new String[savers.size()];
		return savers.keySet().toArray(result);
	}

	public Drawing load(String from, String format) {
		return loaders.get(format).load(from + "." + format);
	}

	public void save(String to, String format, Drawing image) {
		savers.get(format).save(image, to + "." + format);
	}
}
