package model;

public class Stroke {
	public static final Stroke None = new Stroke(0, Color.Transparent);

	private int width;
	private Color color;

	public Stroke(int width, Color color) {
		this.width = width;
		this.color = color;
	}

	public Stroke(Stroke copy) {
		this(copy.width, new Color(copy.color));
	}

	public int getWidth() {
		return width;
	}

	public Color getColor() {
		return color;
	}

	public boolean isEmpty() {
		return width == 0 || color.isTransparent();
	}

}