package test;

import java.awt.BorderLayout;
import java.awt.EventQueue;
import java.lang.reflect.InvocationTargetException;

import javax.swing.JFrame;
import javax.swing.UIManager;

import core.Rectangle;

import model.Drawing;
import ui.ShapesPanel;

public class Viewer {
	private JFrame frame;

	private Viewer(Drawing d) {
		initialize(d);
	}

	private void initialize(Drawing d) {
		frame = new JFrame();
		Rectangle bounds = d.getBounds();
		frame.setBounds(100, 100, bounds.getWidth() + 50,
				bounds.getHeight() + 50);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		ShapesPanel panel = new ShapesPanel(d);
		frame.getContentPane().add(panel, BorderLayout.CENTER);
	}

	public static void show(final Drawing d) {

		try {
			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		} catch (Exception e) {
			System.out.println("Error setting native LAF: " + e);
		}

		try {
			EventQueue.invokeAndWait(new Runnable() {
				public void run() {
					try {
						Viewer window = new Viewer(d);
						window.frame.setVisible(true);
					} catch (Exception e) {
						e.printStackTrace();
					}
				}
			});
		} catch (InterruptedException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (InvocationTargetException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
	}

}
